diff --git a/doc.zih.tu-dresden.de/README.md b/doc.zih.tu-dresden.de/README.md
index 1829a5bc54c26ce37f61f27410e45e8901488183..e7de9cd2eed1f6f72183047886655d522846bc34 100644
--- a/doc.zih.tu-dresden.de/README.md
+++ b/doc.zih.tu-dresden.de/README.md
@@ -465,6 +465,8 @@ should be highlighted, etc. Code examples, longer than half screen height should
 **TODO** Guide [Issue #14](#14)
 
 * Capitalize headings, e.g. *Exclusive Reservation of Hardware*
+* Give keywords in link texts, e.g. [Code Blocks](#code-blocks-and-syntax-highlighting) is more
+  descriptive than [this subsection](#code-blocks-and-syntax-highlighting)
 
 ### Spelling and Technical Wording
 
diff --git a/doc.zih.tu-dresden.de/util/check-links.sh b/doc.zih.tu-dresden.de/util/check-links.sh
index 0a0b47e6e3ede378fe6634696610498d608c5389..49ee7f2dbe876ed8e82c0706631db3479c51fb16 100755
--- a/doc.zih.tu-dresden.de/util/check-links.sh
+++ b/doc.zih.tu-dresden.de/util/check-links.sh
@@ -48,10 +48,12 @@ echo ""
 for f in $files; do
   if [ "${f: -3}" == ".md" ]; then
     # do not check links for deleted files
-    if [ -e $f ]; then
-      echo "Checking links for $f"
-      if ! $mlc -q -p "$f"; then
-        any_fails=true
+    if [ "$f" != "doc.zih.tu-dresden.de/README.md" ]; then
+      if [ -e $f ]; then
+        echo "Checking links for $f"
+        if ! $mlc -q -p "$f"; then
+          any_fails=true
+        fi
       fi
     fi
   fi
diff --git a/doc.zih.tu-dresden.de/util/grep-forbidden-words.sh b/doc.zih.tu-dresden.de/util/grep-forbidden-words.sh
index 37ec18d3079c6671730f799dd8c1479fe417fe90..0016a642a686a57f69ce0bc10e686d203c62a0b7 100755
--- a/doc.zih.tu-dresden.de/util/grep-forbidden-words.sh
+++ b/doc.zih.tu-dresden.de/util/grep-forbidden-words.sh
@@ -19,6 +19,7 @@ i	\<taurus\>	taurus\.hrsk	/taurus	/TAURUS
 i	\<hrskii\>
 i	hpc[ -]\+da\>
 i	\(alpha\|ml\|haswell\|romeo\|gpu\|smp\|julia\|hpdlf\|scs5\)-\?\(interactive\)\?[^a-z]*partition
+i	\[\s\?\(documentation\|here\|this \(link\|page\|subsection\)\|slides\?\|manpage\)\s\?\]
 i	work[ -]\+space"
 
 # Whitelisted files will be ignored